/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\MalkilusTaintedBracelet.cs
Lines of code: 40
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MalkilusTaintedBracelet : SilverBracelet
	{
		public override int ArtifactRarity{ get{ return 15; } }
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		[Constructable]
		public MalkilusTaintedBracelet()
		{
			Name = "Malkilus' Tainted Bracelet";
			Hue = 1175;
			Attributes.AttackChance = 12;
			Attributes.DefendChance = 12;
			Attributes.LowerManaCost = 8;
			Attributes.CastSpeed = 1;
			Attributes.CastRecovery = 3;
		}

		public MalkilusTaintedBracelet( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}